@import url('bootstrap.min.css');
/* @import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap'); */

body {
    font-family: "Inter", sans-serif;
    background-color: #0f172a;
}


.sidebar { 
    display: none !important; 
}

a.active,
a:focus,
button:focus,
button.active {
    outline: none;
}

a {
    text-decoration: none;
}

a:focus,
a:hover,
a:active {
    outline: 0;
    box-shadow: none;
}

a:focus,
a:hover {
    text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-family: "Inter", sans-serif;
    padding: 0;
}

a {
    text-decoration: none;
    transition: all .5s ease-in-out;
}

a:hover {
    text-decoration: none;
}

ul,
ol {
    margin: 0;
    padding: 0;
    list-style: none;
}

ul li {
    list-style: none;
}

p {
    margin: 0;
    padding: 0;
}

input:focus,
select:focus,
textarea:focus {
    outline: none;
}

img {
    border-style: none;
    display: inline-block;
    max-width: 100%;
    height: auto;
}

/***** HEADER *****/
.brittany-sec{
    position: relative;
    z-index: 10;
    
}

.brittany-left {
    min-height: 100vh;
    padding: 90px 108px ;
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    position: sticky;
    top: 0;
}

.brittany-left .text-box h2 {
    color: #e2e8f0;
    font-size: 48px;
    font-weight: bold;
    line-height: 1;
    letter-spacing: -1.2px;
}

.brittany-left .text-box span {
    color: #e2e8f0;
    font-size: 20px;
    font-weight: 500;
    line-height: 1;
    letter-spacing: -0.5px;
    display: block;
    margin: 16px 0 17px;
}

.brittany-left .text-box p {
    color: #94a3b8;
    font-size: 16px;
    font-weight: normal;
    line-height: 24px;
}
.navbar {
    padding: 80px 0;
    min-height: calc(100vh - 355px);
    align-items: flex-start;
}
.navbar ul li {
    margin-bottom: 35px;
}

 

.navbar ul li a {
    display: flex;
    align-items: center;
    color: #94a3b8;
    font-size: 12px;
    font-weight: bold;
    line-height: 1;
    text-transform: uppercase;
    gap: 18px;
    letter-spacing: 1.2px;
    transition: all 0.15s ease-in-out;
}
.navbar ul li a.nav-link.active{
    color: #fff;
}
.navbar ul li a.nav-link.active span{
    background-color: #fff;
    width: 64px;
}
.navbar ul li a span {
    background-color: #94a3b8;
    display: block;
    width: 32px;
    height: 1px;
    transition: all 0.15s ease-in-out;

}

.navbar ul li a:hover {
    color: #fff;
    transition: all 0.15s ease-in-out;
}

.navbar ul li a:hover span {
    width: 64px;
    background-color: #fff;
    transition: all 0.15s ease-in-out;
}

.social-media ul {
    display: flex;
    align-items: center;
    gap: 20px;
}

.social-media ul li a svg {
    width: 24px;
    height: 24px;
}

.social-media ul li a:hover svg path {
    fill: #e2e8f0;
}

.social-media ul li a:hover svg.stroke path {
    stroke: #e2e8f0;
    fill: transparent;
}

/***** ABOUT SEC *****/
.about-sec {
    padding: 90px 0 48px;
}

.about-sec h2 {
    color: #e2e8f0;
    font-size: 14px;
    font-weight: bold;
    line-height: 1;
    letter-spacing: 1.4px;
    display: none;
}

.about-sec .text-box {
    max-width: 530px;
    width: 100%;
    margin-left: 28px;
}

.about-sec .text-box p {
    color: #94a3b8;
    font-size: 16px;
    font-weight: normal;
    line-height: 26px;
    margin-bottom: 16px;
}

.about-sec .text-box p:last-child {
    margin-bottom: 0;
}

.about-sec .text-box p a {
    color: #e2e8f0;
    font-weight: bold;
}

.about-sec .text-box p a:hover {
    color: #5eead4;
}

/***** EXPERIENCE SEC ******/
.experience-sec {
    padding: 80px 0 48px;
}

.experience-sec h2 {
    color: #e2e8f0;
    font-size: 14px;
    font-weight: bold;
    line-height: 1;
    letter-spacing: 1.4px;
    display: none;
}

.experience-box {
    margin-bottom: 14px;
    max-width: 576px;
}

.experience-box:last-child {
    margin: 0;
}

.experience-box a {
    display: flex;
    align-items: flex-start;
    gap: 23px;
    border-radius: 4px;
    padding: 20px 26px;
}

.experience-box a:hover {
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(148, 163, 184, 0.1) 0px 1px 0px 0px inset;
    background-color: rgba(30, 41, 59, .5);
}

.experience-box a:hover .text-box h3 {
    color: #5eead4;
}

.experience-box a:hover .text-box h3 svg {
    transform: translate(4px, -4px);
    transition: all 0.15s ease-in-out;
}

.experience-box a:hover .text-box h3 svg path {
    fill: #5eead4;
    transition: all 0.15s ease-in-out;
}

.experience-box a span {
    display: block;
    line-height: 1;
    color: #64748b;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 0.3px;
    max-width: 110px;
    width: 100%;
}

.experience-box .text-box {
    flex: 1;
    width: 100%;
}

.experience-box .text-box h3 {
    display: flex;
    align-items: center;
    color: #e2e8f0;
    font-size: 16px;
    font-weight: 500;
    line-height: 1;
}

.experience-box .text-box h3 svg {
    width: 16px;
    height: 16px;
    margin-left: 6px;
    transition: all 0.15s ease-in-out;
}

.experience-box .text-box h3 svg path {
    fill: #e2e8f0;
}

.experience-box .text-box strong {
    display: block;
    line-height: 1;
    color: #64748b;
    width: 100%;
    font-size: 16px;
    font-weight: 500;
    margin-top: 6px;
}

.experience-box .text-box p {
    color: #94a3b8;
    font-size: 14px;
    line-height: 21px;
    font-weight: normal;
    margin: 12px 0 17px;
}

.experience-box .text-box ul {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 6px;
}

.experience-box .text-box ul li {
    color: #5eead4;
    font-size: 12px;
    font-weight: 500;
    background-color: rgba(45, 212, 191, 0.1);
    border-radius: 50px;
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 12.5px;
}

.experience-box .text-box ol {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-bottom: 20px;
}

.experience-box .text-box ol li {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    font-weight: 500;
    line-height: 1;
    color: #c7d6e0;
    gap: 4px;
}

.experience-box .text-box ol li svg {
    width: 12px;
    height: 12px;
}

.view-main {
    margin: 35px 0 0 28px;
}

.View-btn {
    display: flex;
    align-items: center;
    color: #e2e8f0;
    font-size: 16px;
    font-weight: 600;
    line-height: 1;
}

.View-btn:hover {
    color: #5eead4;
}

.View-btn svg {
    width: 16px;
    height: 16px;
    margin-left: 6px;
    transition: all 0.15s ease-in-out;
}

.View-btn svg path {
    fill: #e2e8f0;
}

.View-btn:hover svg {
    transform: translate(4px, -4px);
    transition: all 0.15s ease-in-out;
}

.View-btn:hover svg path {
    fill: #5eead4;
    transition: all 0.15s ease-in-out;
}

/***** PROJECT SEC *****/
.porject-sec {
    padding: 80px 0 102px;
}

.porject-sec h2 {
    color: #e2e8f0;
    font-size: 14px;
    font-weight: bold;
    line-height: 1;
    letter-spacing: 1.4px;
    display: none;
}
.porject-box{
    margin-bottom: 14px;
}
.porject-box:last-child{
    margin-bottom: 0;
}
.porject-box a {
    display: flex;
    align-items: flex-start;
    gap: 17px;
    border-radius: 4px;
    padding: 20px 26px;
}

.porject-box a:hover {
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(148, 163, 184, 0.1) 0px 1px 0px 0px inset;
    background-color: rgba(30, 41, 59, .5);
}
.porject-box a:hover  .text-box h3 {
    color: #5eead4;
}

.porject-box a:hover  .text-box h3 svg {
    transform: translate(4px, -4px);
    transition: all 0.15s ease-in-out;
}

.porject-box a:hover  .text-box h3 svg path {
    fill: #5eead4;
    transition: all 0.15s ease-in-out;
}
.porject-box a .image-holder {
    max-width: 122px;
    width: 100%;
    
}

.porject-box a .image-holder img {
    border-radius: 4px;
    border: 1px solid rgb(226, 232, 240, 0.1);
}

.porject-box a .text-box {
    flex: 1;
    width: 100%;
} 
.porject-box a .text-box h3 {
    display: flex;
    align-items: center;
    color: #e2e8f0;
    font-size: 16px;
    font-weight: 500;
    line-height: 1;
}

.porject-box a .text-box h3 svg {
    width: 16px;
    height: 16px;
    margin-left: 6px;
    transition: all 0.15s ease-in-out;
}

.porject-box a .text-box h3 svg path {
    fill: #e2e8f0;
}
.porject-box a .text-box p{
    color: #94a3b8;
    font-size: 14px;
    line-height: 21px;
    font-weight: normal;
    margin: 12px 0 0;
    max-width: 387px;
}
.porject-box a .text-box ul {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 6px;
}

.porject-box a .text-box ul li {
    color: #5eead4;
    font-size: 12px;
    font-weight: 500;
    background-color: rgba(45, 212, 191, 0.1);
    border-radius: 50px;
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 12.5px;
}
.ratting{
    display: flex;
    align-items: center;
    color: #94a3b8;
    font-size: 14px;
    font-weight: 500;
    line-height: 1;
    gap: 6px;
    margin-top: 12px;
    margin-bottom: 16px;
}
.ratting svg{
    width: 12px;
    height: 12px;
}
.ratting:hover{
    color: #5eead4;
}
.project-link:hover .ratting {
  color: #5eead4; /* İstediğiniz hover rengini burada belirleyin */
}

.ratting:hover svg path{
    fill: #5eead4;
}
.porject-sec .View-btn{
    margin-bottom: 130px;
}
.porject-sec .View-btn:hover svg {
    transform: translate(4px, 0);
    transition: all 0.15s ease-in-out;
}
.porject-sec .text-inner{
    margin-left: 24px;
    margin-top: 124px;
}
.porject-sec .text-inner p{
    color: #64748b;
    font-size: 14px;
    line-height: 20px;
    font-weight: normal;
    max-width: 448px;
    width: 100%;
}
.porject-sec .text-inner p a{
    font-weight: 500;
    color: #94a3b8;
}
.porject-sec .text-inner p a:hover{
    color: #5eead4;;
}  
  .gradient-container{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 650px;
    height: 650px;
    border-radius: 100%;
    background: linear-gradient(135deg, rgba(59,130,246,.3), transparent 80%);
    filter: blur(150px); 
    position: fixed;
    pointer-events: none;
    left: 0;
    top: 0;
    transform: translate(calc(-50% + 15px), -50%);
    z-index: -1;
}

.pro {
    display: flex;
    gap: 6px;
    margin-bottom: -25px;
}
.pro p{
    padding-top: 7px;
}
.margin{
    margin-bottom: 12px;
}

.text-box button{
    background-color: #5eead4;
    color: black;
    font: bold;
    border: none;
    border-radius: 15px;
    padding: 3px 9px;
    margin-bottom: 10px;
}
.experience-box img{
    width: 80px; 
  height: 80px;
  border-radius: 50%;
}

.pro i{
        margin-top: 20px;
        color: #5eead4;
}




.image-holder {
    max-width: 122px;
    max-height: 132px;
    width: 100%;
    height: 100%;
    margin-top: 20px;
    position: relative;
}

.image-holder img {
    border-radius: 0;
    width: auto;
    height: auto;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.modal {
    display: none; /* Başlangıçta görünmez */
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); /* Yarı saydam arka plan */
    justify-content: center;
    align-items: center;
}

.modal-content {
    max-width: 80%;
    max-height: 80%;
    margin: auto;
    display: block;
}

/* Kapatma butonu */
.close {
    position: absolute;
    top: 10px;
    right: 25px;
    color: white;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
}
.close:hover,
.close:focus {
    color: #f1f1f1;
    text-decoration: none;
    cursor: pointer;
}


/* Dil Seçici Konteyneri */
.language-selector {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1000;
    display: flex;
    flex-direction: row;
    /* Bayrakları yan yana dizmek için */
    gap: 10px;
    /* Bayraklar arasındaki boşluk */
}

/* Bayrak Resimleri */
.language-selector .flag-icon {
    width: 32px;
    height: 32px;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.language-selector .flag-icon:hover {
    transform: scale(1.1);
    /* Hover efekti */
}

.language-selector img {
    aspect-ratio: 3 / 2; /* Genişlik / Yükseklik oranı */
}